org.apache.sling.launchpad.installer.impl

## Class ServicesListener

- java.lang.Object
- - org.apache.sling.launchpad.installer.impl.ServicesListener

    public class ServicesListener
    extends Object

The `ServicesListener` listens for the required services and starts the installation support if all services are available.

### Nested Class Summary

Nested Classes
`protected class` `ServicesListener.Listener` Helper class listening for service events for a defined service.

### Constructor Summary

Constructors
Constructor and Description
`ServicesListener(org.osgi.framework.BundleContext bundleContext)` Start listeners

### Method Summary

Methods
`void` `deactivate()` Deactivate this listener.
`void` `notifyChange()` Notify of service changes from the listeners.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServicesListener

    public ServicesListener(org.osgi.framework.BundleContext bundleContext)

Start listeners

### Method Detail

#### notifyChange

    public void notifyChange()

Notify of service changes from the listeners. If all services are available, register listener and pass resources to the OSGi installer.

#### deactivate

    public void deactivate()

Deactivate this listener.